AnsweredAssumed Answered

Upgrading my AMD Athlon XP 2800+ in order to get SSE2 extension. Do you think it is possible?

Question asked by alberto1967 on Jul 26, 2017
Latest reply on Jul 26, 2017 by neon

Hello Techies, facts are these:

my machine is a bit old, it's 2003's, 32 bits. The cpu is AMD Athlon XP 2800+.

My OS is Lubuntu 16.04.2 LTS.

As I got to Firefox 54.0 playing videos became difficult as Firefox often crashes.

I asked Mozilla and what I understood is the crashes might depend on proceeding .mp4 files as Firefox 54.0 uses the SSE2 cpu extension that my machine does not have.

So there could be two solutions:

1. using a particular Firefox release, called Extended Support Release

2. upgrading my cpu's drivers.

(It goes without saying that the third solution could be buying a more recent machine, with a SSE2 supporting cpu, but I would prefer not to.)

 

You can imagine my question:

is it possible to upgrade the drivers of my cpu? How can I do? Where can I find the new drivers? Who can I rely on?

I guess performing this is highly delicate.

Many thanks and regard

Alberto

Outcomes